#include <stdio.h>
#include <string.h>
#include <stdlib.h>

int main()
{
 char a[25],b[25],c[25];
 char
 x[100],
 y[100],
 z[100],
 k[100],
 i[100],
 j[100];
 
 scanf("%s%s%s",&a,&b,&c);
 
 strcpy(x,a);
 strcat(x,b);
 strcat(x,c);
 
 strcpy(y,a);
 strcat(y,c);
 strcat(y,b);

 strcpy(z,b);
 strcat(z,a);
 strcat(z,c);

 strcpy(i,b);
 strcat(i,c);
 strcat(i,a);

 strcpy(j,c);
 strcat(j,a);
 strcat(j,b);

 strcpy(k,c);
 strcat(k,b);
 strcat(k,a);
 
 if(strcmp(x,y)>0)
 {
      if(strcmp(x,z)>0)
      {
               if(strcmp(x,i)>0)
               {
                    if(strcmp(x,j)>0)
                        {
                         if(strcmp(x,k)>0) puts(x);
                         else puts(k);
                        }
                    else 
                    {
                         if(strcmp(j,k)>0) puts(j);
                         else puts(k);
                    }
               }
               else
               {
                    if(strcmp(i,j)>0)
                    {
                         if(strcmp(i,k)>0) puts(i);
                         else puts(k);
                    }
                    else 
                    {
                         if(strcmp(j,k)>0) puts(j);
                         else puts(k);
                    }
                }
      }
      else 
      {
           if(strcmp(z,i)>0)
           {
                 if(strcmp(z,j)>0)
                 {
                      if(strcmp(z,k)>0) puts(z);
                      else puts(k);
                 }
                 else
                 {
                  if(strcmp(j,k)>0) puts(j);
                  else puts(k);
                 }
           }
            else 
            {
                 if(strcmp(i,j)>0)
                 {
                  if(strcmp(i,k)>0) puts(i);
                  else puts(k);
                 }
                else 
                {
                 if(strcmp(j,k)>0) puts(j);
                 else puts(k);
                }
            }
       }
 }
 else
 {
      if(strcmp(y,z)>0)
      {
               if(strcmp(y,i)>0)
               {
                    if(strcmp(y,j)>0)
                        {
                         if(strcmp(y,k)>0) puts(y);
                         else puts(k);
                        }
                    else 
                    {
                         if(strcmp(j,k)>0) puts(j);
                         else puts(k);
                    }
               }
               else
               {
                    if(strcmp(i,j)>0)
                    {
                         if(strcmp(i,k)>0) puts(i);
                         else puts(k);
                    }
                    else 
                    {
                         if(strcmp(j,k)>0) puts(j);
                         else puts(k);
                    }
                }
      }
      else 
      {
           if(strcmp(z,i)>0)
           {
                 if(strcmp(z,j)>0)
                 {
                      if(strcmp(z,k)>0) puts(z);
                      else puts(k);
                 }
                 else
                 {
                  if(strcmp(j,k)>0) puts(j);
                  else puts(k);
                 }
           }
            else 
            {
                 if(strcmp(i,j)>0)
                 {
                  if(strcmp(i,k)>0) puts(i);
                  else puts(k);
                 }
                else 
                {
                 if(strcmp(j,k)>0) puts(j);
                 else puts(k);
                }
            }
       }
 }
 
 return 0;
}